﻿using System;
using System.Collections.Generic;
using System.Text;

namespace PuzzleGame_20121004
{
    class Mask_Node {
        private int x;
        private int y;
        private int number;
        public Mask_Node(int x, int y) {
            this.x = x;
            this.y = y;
        }
        public int Number {
            get { return number; }
            set { number = value; }
        }
        public int X
        {
            get { return this.x; }
        }
        public int Y
        {
            get { return this.y; }
        }
    }
    class BoxTable
    {
        MainForm MF;
        Box[] _box;
        Mask_Node[] _mask;
        public BoxTable(MainForm MF) {
            this.MF = MF;
            _mask = new Mask_Node[25];
            _box = new Box[25];
            MaskCreate();
        }
        public void Render(){
            for (int i = 0; i < 25; i++) {
                _box[i].Render();
            }
        }
        private void MaskCreate()
        {
            int x = 0;
            int y = 0;
            for (int i = 0; i < 25; i++) {
                if (i % 5 == 0 && i != 0) {
                    x = 0;
                    y += 50;
                }
                _mask[i] = new Mask_Node(x, y);
                _mask[i].Number = i;
                _box[i] = new Box(i, x, y, MF);
                x += 50;
            }
        }
    }
}
