﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Drawing;
using System.Windows.Forms;

namespace PuzzleGame_20121004
{
    class MainForm : Form
    {
        BoxTable BT;
        public MainForm() {
            GDIBuffer.Instance(ClientRectangle.Width, ClientRectangle.Height);
            BT = new BoxTable(this);
        }
        protected override void OnPaint(PaintEventArgs e)
        {
            Render();
        }
        public void Render() {
            FrameUpdate();
            FrameRender();
        }
        private void FrameUpdate()
        {
            GDIBuffer.Instance().getGraphics.Clear(Color.White);
            BT.Render();
        }
        private void FrameRender()
        {
            Graphics g = CreateGraphics();
            g.DrawImage(GDIBuffer.Instance().GetImages, new Point(0, 0));
            g.Dispose();
        }
    }
}
